## Index

### Classes

- CombinatorProperties
- MaterialAnyOfStringOrEnumControl
- MaterialArrayLayout
- MaterialCategorizationLayoutRenderer
- MaterialCategorizationStepperLayoutRenderer
- MaterialDateControl
- MaterialDateTimeControl
- MaterialInputControl
- MaterialNativeControl
- MaterialRadioGroupControl
- MaterialSliderControl
- MaterialTableControl
- MuiInputText

### Interfaces

- ArrayLayoutToolbarProps
- CategorizationState
- CategorizationStepperState
- CombinatorPropertiesProps
- DateControl
- DeleteDialogProps
- DispatchPropsOfExpandPanel
- EmptyTableProps
- ExpandPanelProps
- MaterialArrayLayoutState
- MaterialCategorizationLayoutRendererProps
- MaterialCategorizationStepperLayoutRendererProps
- MaterialLayoutRendererProps
- MaterialTableToolbarProps
- MuiInputTextStatus
- MuiTextInputProps
- NonEmptyCellProps
- NonEmptyRowProps
- OwnOneOfProps
- OwnPropsOfExpandPanel
- OwnPropsOfNonEmptyCell
- StatePropsOfDateControl
- StatePropsOfExpandPanel
- TableHeaderCellProps
- TableRowsProp
- ValidationProps
- WithDeleteDialogSupport
- WithInput
- WithOptionLabel

### Variables

- AnyPropsKeyboardDatePicker
- AnyPropsKeyboardDateTimepicker
- ArrayLayoutToolbar
- DeleteDialog
- GroupComponent
- MaterialLayoutRenderer
- MuiAutocomplete
- MuiCheckbox
- MuiInputInteger
- MuiInputNumber
- MuiInputNumberFormat
- MuiInputTime
- MuiSelect
- NonEmptyRow
- TableHeaderCell
- TableToolbar
- TrimmableInputLabel
- extendedMaterialRenderers
- groupTester
- isSingleLevelCategorization
- materialAllOfControlTester
- materialAnyOfControlTester
- materialAnyOfStringOrEnumControlTester
- materialArrayControlTester
- materialArrayLayoutTester
- materialAutocompleteEnumControlTester
- materialAutocompleteOneOfEnumControlTester
- materialBooleanCellTester
- materialBooleanControlTester
- materialCategorizationStepperTester
- materialCategorizationTester
- materialCells
- materialDateCellTester
- materialDateControlTester
- materialDateTimeControlTester
- materialEnumCellTester
- materialEnumControlTester
- materialGroupTester
- materialHorizontalLayoutTester
- materialIntegerCellTester
- materialIntegerControlTester
- materialLabelRendererTester
- materialListWithDetailTester
- materialNativeControlTester
- materialNumberCellTester
- materialNumberControlTester
- materialNumberFormatCellTester
- materialObjectControlTester
- materialOneOfControlTester
- materialOneOfEnumControlTester
- materialRadioGroupControlTester
- materialRenderers
- materialSliderControlTester
- materialTextCellTester
- materialTextControlTester
- materialTimeCellTester
- materialVerticalLayoutTester
- oneOf
- simpleAnyOf

### Functions

- EmptyTable
- ExpandPanelRenderer
- ListWithDetailMasterItem
- MaterialAllOfRenderer
- MaterialAnyOfRenderer
- MaterialArrayControlRenderer
- MaterialArrayLayoutRenderer
- MaterialAutocompleteEnumControl
- MaterialAutocompleteOneOfEnumControl
- MaterialBooleanCell
- MaterialBooleanControl
- MaterialDateCell
- MaterialEnumCell
- MaterialEnumControl
- MaterialHorizontalLayoutRenderer
- MaterialIntegerCell
- MaterialIntegerControl
- MaterialLabelRenderer
- MaterialListWithDetailRenderer
- MaterialNumberCell
- MaterialNumberControl
- MaterialNumberFormatCell
- MaterialObjectRenderer
- MaterialOneOfEnumControl
- MaterialOneOfRenderer
- MaterialTextCell
- MaterialTextControl
- MaterialTimeCell
- MaterialVerticalLayoutRenderer
- MaterializedGroupLayoutRenderer
- MuiAutocompleteInputText
- NoBorderTableCell
- NonEmptyCell
- TableRows
- ValidationIcon
- controlWithoutLabel
- ctxDispatchToExpandPanelProps
- ctxToNonEmptyCellProps
- findEnumSchema
- findTextSchema
- generateCells
- getFirstPrimitiveProp
- getValidColumnProps
- hasEnumAndText
- isLayout
- renderLayoutElements
- withContextToExpandPanelProps
- withJsonFormsExpandPanelProps

### Object literals

- ExtendedUnwrapped
- Unwrapped
- fixedCellSmall
- iconStyle
- style
- styles

## Variables

### Const AnyPropsKeyboardDatePicker

AnyPropsKeyboardDatePicker: FunctionComponent<any> = KeyboardDatePicker

- Defined in packages/material/src/controls/MaterialDateControl.tsx:57

### Const AnyPropsKeyboardDateTimepicker

AnyPropsKeyboardDateTimepicker: FunctionComponent<any> = KeyboardDateTimePicker

- Defined in packages/material/src/controls/MaterialDateTimeControl.tsx:51

### Const ArrayLayoutToolbar

ArrayLayoutToolbar: NamedExoticComponent<ArrayLayoutToolbarProps> & object = React.memo(({label,errors,addItem,path,createDefault}: ArrayLayoutToolbarProps) => {return (<Toolbar disableGutters={true}><Grid container alignItems='center' justify='space-between'><Grid item><Typography variant={'h6'}>{label}</Typography></Grid><Hidden smUp={errors.length === 0}><Grid item><ValidationIcon id='tooltip-validation' errorMessages={errors} /></Grid></Hidden><Grid item><Grid container><Grid item><Tooltipid='tooltip-add'title={`Add to ${label}`}placement='bottom'><IconButtonaria-label={`Add to ${label}`}onClick={addItem(path, createDefault())}><AddIcon /></IconButton></Tooltip></Grid></Grid></Grid></Grid></Toolbar>);})

- Defined in packages/material/src/layouts/ArrayToolbar.tsx:15

### Const DeleteDialog

DeleteDialog: NamedExoticComponent<DeleteDialogProps> & object = React.memo(({ open, onClose, onConfirm, onCancel }: DeleteDialogProps) => {return (<Dialogopen={open}keepMountedonClose={onClose}aria-labelledby='alert-dialog-confirmdelete-title'aria-describedby='alert-dialog-confirmdelete-description'><DialogTitle id='alert-dialog-confirmdelete-title'>{'Confirm Deletion'}</DialogTitle><DialogContent><DialogContentText id='alert-dialog-confirmdelete-description'>Are you sure you want to delete the selected entry?</DialogContentText></DialogContent><DialogActions><Button onClick={onCancel} color='primary'>No</Button><Button onClick={onConfirm} color='primary'>Yes</Button></DialogActions></Dialog>);})

- Defined in packages/material/src/complex/DeleteDialog.tsx:46

### Const GroupComponent

GroupComponent: NamedExoticComponent<MaterialLayoutRendererProps> & object = React.memo(({ visible, enabled, uischema, ...props }: MaterialLayoutRendererProps) => {const groupLayout = uischema as GroupLayout;return (<Hidden xsUp={!visible}><Card style={style}>{!isEmpty(groupLayout.label) && (<CardHeader title={groupLayout.label} />)}<CardContent><MaterialLayoutRenderer {...props} visible={visible} enabled={enabled} elements={groupLayout.elements} /></CardContent></Card></Hidden>);})

- Defined in packages/material/src/layouts/MaterialGroupLayout.tsx:45

### Const MaterialLayoutRenderer

MaterialLayoutRenderer: NamedExoticComponent<MaterialLayoutRendererProps> & object = React.memo(({visible,elements,schema,path,enabled,direction,renderers,cells}: MaterialLayoutRendererProps) => {if (isEmpty(elements)) {return null;} else {return (<Hidden xsUp={!visible}><Gridcontainerdirection={direction}spacing={direction === 'row' ? 2 : 0}>{renderLayoutElements(elements,schema,path,enabled,renderers,cells)}</Grid></Hidden>);}},areEqual)

- Defined in packages/material/src/util/layout.tsx:63

### Const MuiAutocomplete

MuiAutocomplete: NamedExoticComponent<EnumCellProps & WithClassname & WithOptionLabel> & object = React.memo((props: EnumCellProps & WithClassname & WithOptionLabel) => {const {data,className,id,enabled,uischema,path,handleChange,options,config,getOptionLabel,renderOption} = props;const appliedUiSchemaOptions = merge({}, config, uischema.options);const [inputValue, setInputValue] = React.useState(data);const findOption = options.find(o => o.value === data);return (<AutocompleteclassName={className}id={id}disabled={!enabled}value={findOption}onChange={(_event: any, newValue: EnumOption | null) => {handleChange(path, newValue?.value);}}inputValue={inputValue}onInputChange={(_event, newInputValue) => {setInputValue(newInputValue);}}autoHighlightautoSelectautoCompletefullWidthoptions={options}getOptionLabel={getOptionLabel || (option => option?.label)}style={{ marginTop: 16 }}renderInput={params => (<Input style={{ width: '100%' }} type='text' inputProps={params.inputProps} inputRef={params.InputProps.ref} autoFocus={appliedUiSchemaOptions.focus}/>)}renderOption={renderOption}/>);}, areEqual)

- Defined in packages/material/src/extended/MuiAutocomplete.tsx:38

### Const MuiCheckbox

MuiCheckbox: NamedExoticComponent<CellProps & WithClassname> & object = React.memo((props: CellProps & WithClassname) => {const {data,className,id,enabled,uischema,path,handleChange,config} = props;const appliedUiSchemaOptions = merge({}, config, uischema.options);const inputProps = { autoFocus: !!appliedUiSchemaOptions.focus };// !! causes undefined value to be converted to false, otherwise has no effectconst checked = !!data;return (<Checkboxchecked={checked}onChange={(_ev, isChecked) => handleChange(path, isChecked)}className={className}id={id}disabled={!enabled}inputProps={inputProps}/>);}, areEqual)

- Defined in packages/material/src/mui-controls/MuiCheckbox.tsx:31

### Const MuiInputInteger

MuiInputInteger: NamedExoticComponent<CellProps & WithClassname> & object = React.memo((props: CellProps & WithClassname) => {const {data,className,id,enabled,uischema,path,handleChange,config} = props;const inputProps = { step: '1' };const toNumber = (value: string) =>value === '' ? undefined : parseInt(value, 10);const appliedUiSchemaOptions = merge({}, config, uischema.options);return (<Inputtype='number'value={data !== undefined && data !== null ? data : ''}onChange={ev => handleChange(path, toNumber(ev.target.value))}className={className}id={id}disabled={!enabled}autoFocus={appliedUiSchemaOptions.focus}inputProps={inputProps}fullWidth={true}/>);},areEqual)

- Defined in packages/material/src/mui-controls/MuiInputInteger.tsx:31

### Const MuiInputNumber

MuiInputNumber: NamedExoticComponent<CellProps & WithClassname> & object = React.memo((props: CellProps & WithClassname) => {const {data,className,id,enabled,uischema,path,handleChange,config} = props;const inputProps = { step: '0.1' };const toNumber = (value: string) =>value === '' ? undefined : parseFloat(value);const appliedUiSchemaOptions = merge({}, config, uischema.options);return (<Inputtype='number'value={data === undefined || data === null ? '' : data}onChange={ev => handleChange(path, toNumber(ev.target.value))}className={className}id={id}disabled={!enabled}autoFocus={appliedUiSchemaOptions.focus}inputProps={inputProps}fullWidth={true}/>);}, areEqual)

- Defined in packages/material/src/mui-controls/MuiInputNumber.tsx:31

### Const MuiInputNumberFormat

MuiInputNumberFormat: NamedExoticComponent<CellProps & WithClassname & Formatted<number>> & object = React.memo((props: CellProps & WithClassname & Formatted<number>) => {const {className,id,enabled,uischema,isValid,path,handleChange,schema,config} = props;const maxLength = schema.maxLength;const appliedUiSchemaOptions = merge({}, config, uischema.options);let inputProps;if (appliedUiSchemaOptions.restrict) {inputProps = { maxLength: maxLength };} else {inputProps = {};}const formattedNumber = props.toFormatted(props.data);const onChange = (ev: any) => {const validStringNumber = props.fromFormatted(ev.currentTarget.value);handleChange(path, validStringNumber);};return (<Inputtype='text'value={formattedNumber}onChange={onChange}className={className}id={id}disabled={!enabled}autoFocus={appliedUiSchemaOptions.focus}multiline={appliedUiSchemaOptions.multi}fullWidth={!appliedUiSchemaOptions.trim || maxLength === undefined}inputProps={inputProps}error={!isValid}/>);},areEqual)

- Defined in packages/material/src/mui-controls/MuiInputNumberFormat.tsx:31

### Const MuiInputTime

MuiInputTime: NamedExoticComponent<CellProps & WithClassname> & object = React.memo((props: CellProps & WithClassname) => {const {data,className,id,enabled,uischema,path,handleChange,config} = props;const appliedUiSchemaOptions = merge({}, config, uischema.options);return (<Inputtype='time'value={data || ''}onChange={ev => handleChange(path, ev.target.value)}className={className}id={id}disabled={!enabled}autoFocus={appliedUiSchemaOptions.focus}fullWidth={true}/>);}, areEqual)

- Defined in packages/material/src/mui-controls/MuiInputTime.tsx:31

### Const MuiSelect

MuiSelect: NamedExoticComponent<EnumCellProps & WithClassname> & object = React.memo((props: EnumCellProps & WithClassname) => {const {data,className,id,enabled,uischema,path,handleChange,options,config} = props;const appliedUiSchemaOptions = merge({}, config, uischema.options);return (<SelectclassName={className}id={id}disabled={!enabled}autoFocus={appliedUiSchemaOptions.focus}value={data || ''}onChange={ev => handleChange(path, ev.target.value)}fullWidth={true}>{[<MenuItem value='' key={'empty'} />].concat(options.map(optionValue => (<MenuItem value={optionValue.value} key={optionValue.value}>{optionValue.label}</MenuItem>)))}</Select>);}, areEqual)

- Defined in packages/material/src/mui-controls/MuiSelect.tsx:33

### Const NonEmptyRow

NonEmptyRow: NamedExoticComponent<NonEmptyRowProps & WithDeleteDialogSupport> & object = React.memo(({childPath,schema,rowIndex,openDeleteDialog,moveUp,moveDown,enableUp,enableDown,showSortButtons,enabled,cells}: NonEmptyRowProps & WithDeleteDialogSupport) => {return (<TableRow key={childPath} hover>{generateCells(NonEmptyCell, schema, childPath, enabled, cells)}{enabled ? (<NoBorderTableCellstyle={showSortButtons ? styles.fixedCell : styles.fixedCellSmall}><Gridcontainerdirection='row'justify='flex-end'alignItems='center'>{showSortButtons ? (<Fragment><Grid item><IconButtonaria-label={`Move up`}onClick={moveUp}disabled={!enableUp}><ArrowUpward /></IconButton></Grid><Grid item><IconButtonaria-label={`Move down`}onClick={moveDown}disabled={!enableDown}><ArrowDownward /></IconButton></Grid></Fragment>) : null}<Grid item><IconButtonaria-label={`Delete`}onClick={() => openDeleteDialog(childPath, rowIndex)}><DeleteIcon /></IconButton></Grid></Grid></NoBorderTableCell>) : null}</TableRow>);})

- Defined in packages/material/src/complex/MaterialTableControl.tsx:254

### Const TableHeaderCell

TableHeaderCell: NamedExoticComponent<TableHeaderCellProps> & object = React.memo(({ propName }: TableHeaderCellProps) => (<TableCell>{startCase(propName)}</TableCell>))

- Defined in packages/material/src/complex/MaterialTableControl.tsx:144

### Const TableToolbar

TableToolbar: NamedExoticComponent<MaterialTableToolbarProps> & object = React.memo(({numColumns,errors,label,path,addItem,schema,enabled}: MaterialTableToolbarProps) => (<TableRow><NoBorderTableCell colSpan={numColumns}><Gridcontainerjustify={'flex-start'}alignItems={'center'}spacing={2}><Grid item><Typography variant={'h6'}>{label}</Typography></Grid><Grid item><Hidden smUp={errors.length === 0}><Grid item><ValidationIconid='tooltip-validation'errorMessages={errors}/></Grid></Hidden></Grid></Grid></NoBorderTableCell>{enabled ? (<NoBorderTableCell align='right' style={ fixedCellSmall }><Tooltipid='tooltip-add'title={`Add to ${label}`}placement='bottom'><IconButtonaria-label={`Add to ${label}`}onClick={addItem(path, createDefaultValue(schema))}><AddIcon /></IconButton></Tooltip></NoBorderTableCell>) : null}</TableRow>))

- Defined in packages/material/src/complex/TableToolbar.tsx:57

### Const TrimmableInputLabel

TrimmableInputLabel: ComponentClass<object & StyledComponentProps<"root" | "shrink">, any> | FunctionComponent<object & StyledComponentProps<"root" | "shrink">> = withStyles({root: {whiteSpace: 'nowrap',overflow: 'hidden',textOverflow: 'ellipsis',right: '50px', // adjust for remove adornmentbottom: '0px' // avoid horizontal cutoff for characters like `qypgj`},shrink: {width: '125%' // shrinked labels are scaled by 75%, therefore set width to 125% to make it the same width as the input}})(InputLabel)

- Defined in packages/material/src/controls/MaterialInputControl.tsx:43

### Const extendedMaterialRenderers

extendedMaterialRenderers: JsonFormsRendererRegistryEntry[] = [{tester: materialAutocompleteOneOfEnumControlTester,renderer: MaterialAutocompleteOneOfEnumControl},{tester: materialAutocompleteEnumControlTester,renderer: MaterialAutocompleteEnumControl},...materialRenderers]

- Defined in packages/material/src/extended/index.ts:41

Includes all 'materialRenderers' and adds additional renderers based on '@material-ui/lab'

### Const groupTester

groupTester: RankedTester = rankWith(1, uiTypeIs('Group'))

- Defined in packages/material/src/layouts/MaterialGroupLayout.tsx:42

### Const isSingleLevelCategorization

isSingleLevelCategorization: Tester = and(uiTypeIs('Categorization'),(uischema: UISchemaElement): boolean => {const categorization = uischema as Categorization;return (categorization.elements &&categorization.elements.reduce((acc, e) => acc && e.type === 'Category',true));})

- Defined in packages/material/src/layouts/MaterialCategorizationLayout.tsx:46

### Const materialAllOfControlTester

materialAllOfControlTester: RankedTester = rankWith(3,isAllOfControl)

- Defined in packages/material/src/complex/MaterialAllOfRenderer.tsx:94

### Const materialAnyOfControlTester

materialAnyOfControlTester: RankedTester = rankWith(3,isAnyOfControl)

- Defined in packages/material/src/complex/MaterialAnyOfRenderer.tsx:96

### Const materialAnyOfStringOrEnumControlTester

materialAnyOfStringOrEnumControlTester: RankedTester = rankWith(5,simpleAnyOf)

- Defined in packages/material/src/controls/MaterialAnyOfStringOrEnumControl.tsx:128

### Const materialArrayControlTester

materialArrayControlTester: RankedTester = rankWith(3,or(isObjectArrayControl, isPrimitiveArrayControl))

- Defined in packages/material/src/complex/index.ts:46

### Const materialArrayLayoutTester

materialArrayLayoutTester: RankedTester = rankWith(4,isObjectArrayWithNesting)

- Defined in packages/material/src/layouts/MaterialArrayLayoutRenderer.tsx:76

### Const materialAutocompleteEnumControlTester

materialAutocompleteEnumControlTester: RankedTester = rankWith(10,isEnumControl)

- Defined in packages/material/src/extended/MaterialAutocompleteEnumControl.tsx:50

### Const materialAutocompleteOneOfEnumControlTester

materialAutocompleteOneOfEnumControlTester: RankedTester = rankWith(10,isOneOfEnumControl)

- Defined in packages/material/src/extended/MaterialAutocompleteOneOfEnumControl.tsx:50

### Const materialBooleanCellTester

materialBooleanCellTester: RankedTester = rankWith(2,isBooleanControl)

- Defined in packages/material/src/cells/MaterialBooleanCell.tsx:40

### Const materialBooleanControlTester

materialBooleanControlTester: RankedTester = rankWith(2,isBooleanControl)

- Defined in packages/material/src/controls/MaterialBooleanControl.tsx:77

### Const materialCategorizationStepperTester

materialCategorizationStepperTester: RankedTester = rankWith(2,and(uiTypeIs('Categorization'),categorizationHasCategory,optionIs('variant', 'stepper')))

- Defined in packages/material/src/layouts/MaterialCategorizationStepperLayout.tsx:46

### Const materialCategorizationTester

materialCategorizationTester: RankedTester = rankWith(1,isSingleLevelCategorization)

- Defined in packages/material/src/layouts/MaterialCategorizationLayout.tsx:61

### Const materialCells

materialCells: JsonFormsCellRendererRegistryEntry[] = [{ tester: materialBooleanCellTester, cell: MaterialBooleanCell },{ tester: materialDateCellTester, cell: MaterialDateCell },{ tester: materialEnumCellTester, cell: MaterialEnumCell },{ tester: materialIntegerCellTester, cell: MaterialIntegerCell },{ tester: materialNumberCellTester, cell: MaterialNumberCell },{ tester: materialNumberFormatCellTester, cell: MaterialNumberFormatCell },{ tester: materialTextCellTester, cell: MaterialTextCell },{ tester: materialTimeCellTester, cell: MaterialTimeCell }]

- Defined in packages/material/src/index.ts:166

### Const materialDateCellTester

materialDateCellTester: RankedTester = rankWith(2, isDateControl)

- Defined in packages/material/src/cells/MaterialDateCell.tsx:64

### Const materialDateControlTester

materialDateControlTester: RankedTester = rankWith(4,isDateControl)

- Defined in packages/material/src/controls/MaterialDateControl.tsx:157

### Const materialDateTimeControlTester

materialDateTimeControlTester: RankedTester = rankWith(2,isDateTimeControl)

- Defined in packages/material/src/controls/MaterialDateTimeControl.tsx:115

### Const materialEnumCellTester

materialEnumCellTester: RankedTester = rankWith(2, isEnumControl)

- Defined in packages/material/src/cells/MaterialEnumCell.tsx:44

Default tester for enum controls.

type

  {RankedTester}

### Const materialEnumControlTester

materialEnumControlTester: RankedTester = rankWith(2,isEnumControl)

- Defined in packages/material/src/controls/MaterialEnumControl.tsx:41

### Const materialGroupTester

materialGroupTester: RankedTester = withIncreasedRank(1,groupTester)

- Defined in packages/material/src/layouts/MaterialGroupLayout.tsx:81

### Const materialHorizontalLayoutTester

materialHorizontalLayoutTester: RankedTester = rankWith(2,uiTypeIs('HorizontalLayout'))

- Defined in packages/material/src/layouts/MaterialHorizontalLayout.tsx:43

Default tester for a horizontal layout.

type

  {RankedTester}

### Const materialIntegerCellTester

materialIntegerCellTester: RankedTester = rankWith(2,isIntegerControl)

- Defined in packages/material/src/cells/MaterialIntegerCell.tsx:39

### Const materialIntegerControlTester

materialIntegerControlTester: RankedTester = rankWith(2,isIntegerControl)

- Defined in packages/material/src/controls/MaterialIntegerControl.tsx:39

### Const materialLabelRendererTester

materialLabelRendererTester: RankedTester = rankWith(1, uiTypeIs('Label'))

- Defined in packages/material/src/additional/MaterialLabelRenderer.tsx:43

Default tester for a label.

type

  {RankedTester}

### Const materialListWithDetailTester

materialListWithDetailTester: RankedTester = rankWith(4,and(uiTypeIs('ListWithDetail'), isObjectArray))

- Defined in packages/material/src/additional/MaterialListWithDetailRenderer.tsx:148

### Const materialNativeControlTester

materialNativeControlTester: RankedTester = rankWith(2,or(isDateControl, isTimeControl))

- Defined in packages/material/src/controls/MaterialNativeControl.tsx:99

### Const materialNumberCellTester

materialNumberCellTester: RankedTester = rankWith(2,isNumberControl)

- Defined in packages/material/src/cells/MaterialNumberCell.tsx:43

Default tester for number controls.

type

  {RankedTester}

### Const materialNumberControlTester

materialNumberControlTester: RankedTester = rankWith(2,isNumberControl)

- Defined in packages/material/src/controls/MaterialNumberControl.tsx:40

### Const materialNumberFormatCellTester

materialNumberFormatCellTester: RankedTester = rankWith(4,isNumberFormatControl)

- Defined in packages/material/src/cells/MaterialNumberFormatCell.tsx:44

Default tester for text-based/string controls.

type

  {RankedTester}

### Const materialObjectControlTester

materialObjectControlTester: RankedTester = rankWith(2,isObjectControl)

- Defined in packages/material/src/complex/MaterialObjectRenderer.tsx:83

### Const materialOneOfControlTester

materialOneOfControlTester: RankedTester = rankWith(3, isOneOfControl)

- Defined in packages/material/src/complex/MaterialOneOfRenderer.tsx:152

### Const materialOneOfEnumControlTester

materialOneOfEnumControlTester: RankedTester = rankWith(5,isOneOfEnumControl)

- Defined in packages/material/src/controls/MaterialOneOfEnumControl.tsx:41

### Const materialRadioGroupControlTester

materialRadioGroupControlTester: RankedTester = rankWith(2,optionIs('format', 'radio'))

- Defined in packages/material/src/controls/MaterialRadioGroupControl.tsx:120

### Const materialRenderers

materialRenderers: JsonFormsRendererRegistryEntry[] = [// controls{tester: materialArrayControlTester,renderer: MaterialArrayControlRenderer},{ tester: materialBooleanControlTester, renderer: MaterialBooleanControl },{ tester: materialNativeControlTester, renderer: MaterialNativeControl },{ tester: materialEnumControlTester, renderer: MaterialEnumControl },{ tester: materialIntegerControlTester, renderer: MaterialIntegerControl },{ tester: materialNumberControlTester, renderer: MaterialNumberControl },{ tester: materialTextControlTester, renderer: MaterialTextControl },{ tester: materialDateTimeControlTester, renderer: MaterialDateTimeControl },{ tester: materialDateControlTester, renderer: MaterialDateControl },{ tester: materialSliderControlTester, renderer: MaterialSliderControl },{ tester: materialObjectControlTester, renderer: MaterialObjectRenderer },{ tester: materialAllOfControlTester, renderer: MaterialAllOfRenderer },{ tester: materialAnyOfControlTester, renderer: MaterialAnyOfRenderer },{ tester: materialOneOfControlTester, renderer: MaterialOneOfRenderer },{tester: materialRadioGroupControlTester,renderer: MaterialRadioGroupControl},{ tester: materialOneOfEnumControlTester, renderer: MaterialOneOfEnumControl },// layouts{ tester: materialGroupTester, renderer: MaterialGroupLayout },{tester: materialHorizontalLayoutTester,renderer: MaterialHorizontalLayout},{ tester: materialVerticalLayoutTester, renderer: MaterialVerticalLayout },{tester: materialCategorizationTester,renderer: MaterialCategorizationLayout},{tester: materialCategorizationStepperTester,renderer: MaterialCategorizationStepperLayout},{ tester: materialArrayLayoutTester, renderer: MaterialArrayLayout },// additional{ tester: materialLabelRendererTester, renderer: MaterialLabelRenderer },{tester: materialListWithDetailTester,renderer: MaterialListWithDetailRenderer},{tester: materialAnyOfStringOrEnumControlTester,renderer: MaterialAnyOfStringOrEnumControl}]

- Defined in packages/material/src/index.ts:114

### Const materialSliderControlTester

materialSliderControlTester: RankedTester = rankWith(4,isRangeControl)

- Defined in packages/material/src/controls/MaterialSliderControl.tsx:134

### Const materialTextCellTester

materialTextCellTester: RankedTester = rankWith(1,isStringControl)

- Defined in packages/material/src/cells/MaterialTextCell.tsx:44

Default tester for text-based/string controls.

type

  {RankedTester}

### Const materialTextControlTester

materialTextControlTester: RankedTester = rankWith(1,isStringControl)

- Defined in packages/material/src/controls/MaterialTextControl.tsx:40

### Const materialTimeCellTester

materialTimeCellTester: RankedTester = rankWith(2, isTimeControl)

- Defined in packages/material/src/cells/MaterialTimeCell.tsx:39

### Const materialVerticalLayoutTester

materialVerticalLayoutTester: RankedTester = rankWith(1,uiTypeIs('VerticalLayout'))

- Defined in packages/material/src/layouts/MaterialVerticalLayout.tsx:43

Default tester for a vertical layout.

type

  {RankedTester}

### Const oneOf

oneOf: "oneOf" = "oneOf"

- Defined in packages/material/src/complex/MaterialOneOfRenderer.tsx:60

### Const simpleAnyOf

simpleAnyOf: function = and(uiTypeIs('Control'),schemaMatches(schema => schema.hasOwnProperty('anyOf') && hasEnumAndText(schema.anyOf)))

- Defined in packages/material/src/controls/MaterialAnyOfStringOrEnumControl.tsx:122

#### Type declaration

- - (uischema: UISchemaElement, schema: JsonSchema): boolean

  - #### Parameters

    - ##### uischema: UISchemaElement

    - ##### schema: JsonSchema

    #### Returns boolean

## Functions

### Const EmptyTable

- EmptyTable(__namedParameters: object): Element

- - Defined in packages/material/src/complex/MaterialTableControl.tsx:132

  #### Parameters

  - ##### __namedParameters: object

    - ##### numColumns: number

  #### Returns Element

### Const ExpandPanelRenderer

- ExpandPanelRenderer(props: ExpandPanelProps): Element

- - Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:77

  #### Parameters

  - ##### props: ExpandPanelProps

  #### Returns Element

### Const ListWithDetailMasterItem

- ListWithDetailMasterItem(__namedParameters: object): Element

- - Defined in packages/material/src/additional/ListWithDetailMasterItem.tsx:38

  #### Parameters

  - ##### __namedParameters: object

    - ##### childLabel: string

    - ##### handleSelect: handleSelect

    - ##### index: number

    - ##### path: string

    - ##### removeItem: removeItem

    - ##### selected: boolean

  #### Returns Element

### Const MaterialAllOfRenderer

- MaterialAllOfRenderer(__namedParameters: object): Element

- - Defined in packages/material/src/complex/MaterialAllOfRenderer.tsx:40

  #### Parameters

  - ##### __namedParameters: object

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### rootSchema: JsonSchema4 | JsonSchema7

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: ControlElement

    - ##### uischemas: object[]

    - ##### visible: boolean

  #### Returns Element

### Const MaterialAnyOfRenderer

- MaterialAnyOfRenderer(__namedParameters: object): Element

- - Defined in packages/material/src/complex/MaterialAnyOfRenderer.tsx:40

  #### Parameters

  - ##### __namedParameters: object

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### indexOfFittingSchema: number

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### rootSchema: JsonSchema4 | JsonSchema7

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: ControlElement

    - ##### uischemas: object[]

    - ##### visible: boolean

  #### Returns Element

### Const MaterialArrayControlRenderer

- MaterialArrayControlRenderer(props: ArrayLayoutProps): Element

- - Defined in packages/material/src/complex/MaterialArrayControlRenderer.tsx:32

  #### Parameters

  - ##### props: ArrayLayoutProps

  #### Returns Element

### Const MaterialArrayLayoutRenderer

- MaterialArrayLayoutRenderer(__namedParameters: object): Element

- - Defined in packages/material/src/layouts/MaterialArrayLayoutRenderer.tsx:37

  #### Parameters

  - ##### __namedParameters: object

    - ##### addItem: addItem

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### data: number

    - ##### enabled: boolean

    - ##### errors: string

    - ##### id: string

    - ##### label: string | Labels

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### rootSchema: JsonSchema4 | JsonSchema7

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: ControlElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterialAutocompleteEnumControl

- MaterialAutocompleteEnumControl(props: ControlProps & OwnPropsOfEnum): Element

- - Defined in packages/material/src/extended/MaterialAutocompleteEnumControl.tsx:39

  #### Parameters

  - ##### props: ControlProps & OwnPropsOfEnum

  #### Returns Element

### Const MaterialAutocompleteOneOfEnumControl

- MaterialAutocompleteOneOfEnumControl(props: ControlProps & OwnPropsOfEnum): Element

- - Defined in packages/material/src/extended/MaterialAutocompleteOneOfEnumControl.tsx:39

  #### Parameters

  - ##### props: ControlProps & OwnPropsOfEnum

  #### Returns Element

### Const MaterialBooleanCell

- MaterialBooleanCell(props: CellProps & WithClassname): Element

- - Defined in packages/material/src/cells/MaterialBooleanCell.tsx:36

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialBooleanControl

- MaterialBooleanControl(__namedParameters: object): Element

- - Defined in packages/material/src/controls/MaterialBooleanControl.tsx:37

  #### Parameters

  - ##### __namedParameters: object

    - ##### config: any

    - ##### data: any

    - ##### enabled: boolean

    - ##### errors: string

    - ##### handleChange: handleChange

    - ##### id: string

    - ##### label: string | Labels

    - ##### path: string

    - ##### rootSchema: JsonSchema4 | JsonSchema7

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: ControlElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterialDateCell

- MaterialDateCell(props: CellProps & WithClassname): Element

- - Defined in packages/material/src/cells/MaterialDateCell.tsx:37

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialEnumCell

- MaterialEnumCell(props: EnumCellProps & WithClassname): Element

- - Defined in packages/material/src/cells/MaterialEnumCell.tsx:36

  #### Parameters

  - ##### props: EnumCellProps & WithClassname

  #### Returns Element

### Const MaterialEnumControl

- MaterialEnumControl(props: ControlProps & OwnPropsOfEnum): Element

- - Defined in packages/material/src/controls/MaterialEnumControl.tsx:37

  #### Parameters

  - ##### props: ControlProps & OwnPropsOfEnum

  #### Returns Element

### Const MaterialHorizontalLayoutRenderer

- MaterialHorizontalLayoutRenderer(__namedParameters: object): Element

- - Defined in packages/material/src/layouts/MaterialHorizontalLayout.tsx:48

  #### Parameters

  - ##### __namedParameters: object

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### enabled: boolean

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: UISchemaElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterialIntegerCell

- MaterialIntegerCell(props: CellProps & WithClassname): Element

- - Defined in packages/material/src/cells/MaterialIntegerCell.tsx:36

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialIntegerControl

- MaterialIntegerControl(props: ControlProps): Element

- - Defined in packages/material/src/controls/MaterialIntegerControl.tsx:36

  #### Parameters

  - ##### props: ControlProps

  #### Returns Element

### Const MaterialLabelRenderer

- MaterialLabelRenderer(__namedParameters: object): Element

- - Defined in packages/material/src/additional/MaterialLabelRenderer.tsx:48

  Default renderer for a label.

  #### Parameters

  - ##### __namedParameters: object

    - ##### uischema: UISchemaElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterialListWithDetailRenderer

- MaterialListWithDetailRenderer(__namedParameters: object): Element

- - Defined in packages/material/src/additional/MaterialListWithDetailRenderer.tsx:50

  #### Parameters

  - ##### __namedParameters: object

    - ##### addItem: addItem

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### config: any

    - ##### data: number

    - ##### errors: string

    - ##### label: string | Labels

    - ##### path: string

    - ##### removeItems: removeItems

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### required: boolean

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: ControlElement

    - ##### uischemas: object[]

    - ##### visible: boolean

  #### Returns Element

### Const MaterialNumberCell

- MaterialNumberCell(props: CellProps & WithClassname): Element

- - Defined in packages/material/src/cells/MaterialNumberCell.tsx:36

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialNumberControl

- MaterialNumberControl(props: ControlProps): Element

- - Defined in packages/material/src/controls/MaterialNumberControl.tsx:36

  #### Parameters

  - ##### props: ControlProps

  #### Returns Element

### Const MaterialNumberFormatCell

- MaterialNumberFormatCell(props: CellProps & WithClassname & Formatted<number>): Element

- - Defined in packages/material/src/cells/MaterialNumberFormatCell.tsx:37

  #### Parameters

  - ##### props: CellProps & WithClassname & Formatted<number>

  #### Returns Element

### Const MaterialObjectRenderer

- MaterialObjectRenderer(__namedParameters: object): Element

- - Defined in packages/material/src/complex/MaterialObjectRenderer.tsx:40

  #### Parameters

  - ##### __namedParameters: object

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### enabled: boolean

    - ##### label: string | Labels

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### rootSchema: JsonSchema4 | JsonSchema7

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: ControlElement

    - ##### uischemas: object[]

    - ##### visible: boolean

  #### Returns Element

### Const MaterialOneOfEnumControl

- MaterialOneOfEnumControl(props: ControlProps & OwnPropsOfEnum): Element

- - Defined in packages/material/src/controls/MaterialOneOfEnumControl.tsx:37

  #### Parameters

  - ##### props: ControlProps & OwnPropsOfEnum

  #### Returns Element

### Const MaterialOneOfRenderer

- MaterialOneOfRenderer(__namedParameters: object): Element

- - Defined in packages/material/src/complex/MaterialOneOfRenderer.tsx:61

  #### Parameters

  - ##### __namedParameters: object

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### data: any

    - ##### handleChange: handleChange

    - ##### id: string

    - ##### indexOfFittingSchema: number

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### rootSchema: JsonSchema4 | JsonSchema7

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: ControlElement

    - ##### uischemas: object[]

    - ##### visible: boolean

  #### Returns Element

### Const MaterialTextCell

- MaterialTextCell(props: CellProps & WithClassname): Element

- - Defined in packages/material/src/cells/MaterialTextCell.tsx:36

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialTextControl

- MaterialTextControl(props: ControlProps): Element

- - Defined in packages/material/src/controls/MaterialTextControl.tsx:36

  #### Parameters

  - ##### props: ControlProps

  #### Returns Element

### Const MaterialTimeCell

- MaterialTimeCell(props: CellProps & WithClassname): Element

- - Defined in packages/material/src/cells/MaterialTimeCell.tsx:36

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialVerticalLayoutRenderer

- MaterialVerticalLayoutRenderer(__namedParameters: object): Element

- - Defined in packages/material/src/layouts/MaterialVerticalLayout.tsx:48

  #### Parameters

  - ##### __namedParameters: object

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### enabled: boolean

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: UISchemaElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterializedGroupLayoutRenderer

- MaterializedGroupLayoutRenderer(__namedParameters: object): Element

- - Defined in packages/material/src/layouts/MaterialGroupLayout.tsx:61

  #### Parameters

  - ##### __namedParameters: object

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### direction: "column" | "row"

    - ##### enabled: boolean

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: UISchemaElement

    - ##### visible: boolean

  #### Returns Element

### Const MuiAutocompleteInputText

- MuiAutocompleteInputText(props: EnumCellProps & WithClassname): Element

- - Defined in packages/material/src/controls/MaterialAnyOfStringOrEnumControl.tsx:51

  #### Parameters

  - ##### props: EnumCellProps & WithClassname

  #### Returns Element

### Const NoBorderTableCell

- NoBorderTableCell(__namedParameters: object): Element

- - Defined in packages/material/src/complex/NoBorderTableCell.tsx:35

  #### Parameters

  - ##### __namedParameters: object

    - ##### children: any

    - ##### classes: any

    - ##### otherProps: any

  #### Returns Element

### Const NonEmptyCell

- NonEmptyCell(ownProps: OwnPropsOfNonEmptyCell): Element

- - Defined in packages/material/src/complex/MaterialTableControl.tsx:197

  #### Parameters

  - ##### ownProps: OwnPropsOfNonEmptyCell

  #### Returns Element

### Const TableRows

- TableRows(__namedParameters: object): Element

- - Defined in packages/material/src/complex/MaterialTableControl.tsx:329

  #### Parameters

  - ##### __namedParameters: object

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### config: any

    - ##### data: number

    - ##### enabled: boolean

    - ##### moveDown: moveDown

    - ##### moveUp: moveUp

    - ##### openDeleteDialog: openDeleteDialog

    - ##### path: string

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: ControlElement

  #### Returns Element

### Const ValidationIcon

- ValidationIcon(__namedParameters: object): Element

- - Defined in packages/material/src/complex/ValidationIcon.tsx:51

  #### Parameters

  - ##### __namedParameters: object

    - ##### classes: object

    - ##### errorMessages: string

    - ##### id: string

  #### Returns Element

### Const controlWithoutLabel

- controlWithoutLabel(scope: string): ControlElement

- - Defined in packages/material/src/complex/MaterialTableControl.tsx:191

  #### Parameters

  - ##### scope: string

  #### Returns ControlElement

### Const ctxDispatchToExpandPanelProps

- ctxDispatchToExpandPanelProps(dispatch: function): object

- - Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:203

  Maps state to dispatch properties of an expand pandel control.

  #### Parameters

  - ##### dispatch: function

    the store's dispatch method

    - - (value: A): void

      - #### Parameters

        - ##### value: A

        #### Returns void

  #### Returns object

  dispatch props of an expand panel control

  - ##### moveDown: function

    - moveDown(path: string, toMove: number): (Anonymous function)
    - - Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:225

      #### Parameters

      - ##### path: string

      - ##### toMove: number

      #### Returns (Anonymous function)

  - ##### moveUp: function

    - moveUp(path: string, toMove: number): (Anonymous function)
    - - Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:216

      #### Parameters

      - ##### path: string

      - ##### toMove: number

      #### Returns (Anonymous function)

  - ##### removeItems: function

    - removeItems(path: string, toDelete: number[]): (Anonymous function)
    - - Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:204

      #### Parameters

      - ##### path: string

      - ##### toDelete: number[]

      #### Returns (Anonymous function)

### Const ctxToNonEmptyCellProps

- ctxToNonEmptyCellProps(ctx: JsonFormsStateContext, ownProps: OwnPropsOfNonEmptyCell): NonEmptyCellProps

- - Defined in packages/material/src/complex/MaterialTableControl.tsx:162

  #### Parameters

  - ##### ctx: JsonFormsStateContext

  - ##### ownProps: OwnPropsOfNonEmptyCell

  #### Returns NonEmptyCellProps

### Const findEnumSchema

- findEnumSchema(schemas: JsonSchema[]): JsonSchema4 | JsonSchema7

- - Defined in packages/material/src/controls/MaterialAnyOfStringOrEnumControl.tsx:44

  #### Parameters

  - ##### schemas: JsonSchema[]

  #### Returns JsonSchema4 | JsonSchema7

### Const findTextSchema

- findTextSchema(schemas: JsonSchema[]): JsonSchema4 | JsonSchema7

- - Defined in packages/material/src/controls/MaterialAnyOfStringOrEnumControl.tsx:48

  #### Parameters

  - ##### schemas: JsonSchema[]

  #### Returns JsonSchema4 | JsonSchema7

### Const generateCells

- generateCells(Cell: React.ComponentType<OwnPropsOfNonEmptyCell | TableHeaderCellProps>, schema: JsonSchema, rowPath: string, enabled: boolean, cells?: JsonFormsCellRendererRegistryEntry[]): Element | Element[]

- - Defined in packages/material/src/complex/MaterialTableControl.tsx:86

  #### Parameters

  - ##### Cell: React.ComponentType<OwnPropsOfNonEmptyCell | TableHeaderCellProps>

  - ##### schema: JsonSchema

  - ##### rowPath: string

  - ##### enabled: boolean

  - ##### Optional cells: JsonFormsCellRendererRegistryEntry[]

  #### Returns Element | Element[]

### Const getFirstPrimitiveProp

- getFirstPrimitiveProp(schema: any): string

- - Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:236

  #### Parameters

  - ##### schema: any

  #### Returns string

### Const getValidColumnProps

- getValidColumnProps(scopedSchema: JsonSchema): string[]

- - Defined in packages/material/src/complex/MaterialTableControl.tsx:118

  #### Parameters

  - ##### scopedSchema: JsonSchema

  #### Returns string[]

### Const hasEnumAndText

- hasEnumAndText(schemas: JsonSchema[]): boolean

- - Defined in packages/material/src/controls/MaterialAnyOfStringOrEnumControl.tsx:112

  #### Parameters

  - ##### schemas: JsonSchema[]

  #### Returns boolean

### Const isLayout

- isLayout(uischema: UISchemaElement): uischema is Layout

- - Defined in packages/material/src/complex/CombinatorProperties.tsx:36

  #### Parameters

  - ##### uischema: UISchemaElement

  #### Returns uischema is Layout

### Const renderLayoutElements

- renderLayoutElements(elements: UISchemaElement[], schema: JsonSchema, path: string, enabled: boolean, renderers?: JsonFormsRendererRegistryEntry[], cells?: JsonFormsCellRendererRegistryEntry[]): Element[]

- - Defined in packages/material/src/util/layout.tsx:37

  #### Parameters

  - ##### elements: UISchemaElement[]

  - ##### schema: JsonSchema

  - ##### path: string

  - ##### enabled: boolean

  - ##### Optional renderers: JsonFormsRendererRegistryEntry[]

  - ##### Optional cells: JsonFormsCellRendererRegistryEntry[]

  #### Returns Element[]

### Const withContextToExpandPanelProps

- withContextToExpandPanelProps(Component: ComponentType<ExpandPanelProps>): ComponentType<OwnPropsOfExpandPanel>

- - Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:256

  Map state to control props.

  #### Parameters

  - ##### Component: ComponentType<ExpandPanelProps>

  #### Returns ComponentType<OwnPropsOfExpandPanel>

  state props for a control

### Const withJsonFormsExpandPanelProps

- withJsonFormsExpandPanelProps(Component: ComponentType<ExpandPanelProps>): ComponentType<OwnPropsOfExpandPanel>

- - Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:281

  #### Parameters

  - ##### Component: ComponentType<ExpandPanelProps>

  #### Returns ComponentType<OwnPropsOfExpandPanel>

## Object literals

### Const ExtendedUnwrapped

ExtendedUnwrapped: object

- Defined in packages/material/src/extended/index.ts:53

### MaterialAutocompleteEnumControl

MaterialAutocompleteEnumControl: MaterialAutocompleteEnumControl = MaterialAutocompleteEnumControlUnwrapped

- Defined in packages/material/src/extended/index.ts:54

### MaterialAutocompleteOneOfEnumControl

MaterialAutocompleteOneOfEnumControl: MaterialAutocompleteOneOfEnumControl = MaterialAutocompleteOneOfEnumControlUnwrapped

- Defined in packages/material/src/extended/index.ts:55

### Const Unwrapped

Unwrapped: object

- Defined in packages/material/src/controls/index.ts:76

### MaterialAnyOfStringOrEnumControl

MaterialAnyOfStringOrEnumControl: MaterialAnyOfStringOrEnumControl = MaterialAnyOfStringOrEnumControlUnwrapped

- Defined in packages/material/src/controls/index.ts:87

### MaterialBooleanControl

MaterialBooleanControl: MaterialBooleanControl = MaterialBooleanControlUnwrapped

- Defined in packages/material/src/controls/index.ts:77

### MaterialDateControl

MaterialDateControl: MaterialDateControl = MaterialDateControlUnwrapped

- Defined in packages/material/src/controls/index.ts:80

### MaterialDateTimeControl

MaterialDateTimeControl: MaterialDateTimeControl = MaterialDateTimeControlUnwrapped

- Defined in packages/material/src/controls/index.ts:81

### MaterialEnumControl

MaterialEnumControl: MaterialEnumControl = MaterialEnumControlUnwrapped

- Defined in packages/material/src/controls/index.ts:78

### MaterialIntegerControl

MaterialIntegerControl: MaterialIntegerControl = MaterialIntegerControlUnwrapped

- Defined in packages/material/src/controls/index.ts:84

### MaterialNativeControl

MaterialNativeControl: MaterialNativeControl = MaterialNativeControlUnwrapped

- Defined in packages/material/src/controls/index.ts:79

### MaterialNumberControl

MaterialNumberControl: MaterialNumberControl = MaterialNumberControlUnwrapped

- Defined in packages/material/src/controls/index.ts:85

### MaterialOneOfEnumControl

MaterialOneOfEnumControl: MaterialOneOfEnumControl = MaterialOneOfEnumControlUnwrapped

- Defined in packages/material/src/controls/index.ts:88

### MaterialRadioGroupControl

MaterialRadioGroupControl: MaterialRadioGroupControl = MaterialRadioGroupControlUnwrapped

- Defined in packages/material/src/controls/index.ts:83

### MaterialSliderControl

MaterialSliderControl: MaterialSliderControl = MaterialSliderControlUnwrapped

- Defined in packages/material/src/controls/index.ts:82

### MaterialTextControl

MaterialTextControl: MaterialTextControl = MaterialTextControlUnwrapped

- Defined in packages/material/src/controls/index.ts:86

### Const fixedCellSmall

fixedCellSmall: object

- Defined in packages/material/src/complex/TableToolbar.tsx:52

### paddingLeft

paddingLeft: number = 0

- Defined in packages/material/src/complex/TableToolbar.tsx:53

### paddingRight

paddingRight: number = 0

- Defined in packages/material/src/complex/TableToolbar.tsx:54

### Const iconStyle

iconStyle: object

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:38

### float

float: string = "right"

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:38

### Const style

style: object

- Defined in packages/material/src/layouts/MaterialGroupLayout.tsx:43

### marginBottom

marginBottom: string = "10px"

- Defined in packages/material/src/layouts/MaterialGroupLayout.tsx:43

### Const styles

styles: object = createStyles(({ palette }: Theme) => ({badge: {color: palette.error.main}}))

- Defined in packages/material/src/complex/ValidationIcon.tsx:40
- Defined in packages/material/src/complex/NoBorderTableCell.tsx:29
- Defined in packages/material/src/complex/MaterialTableControl.tsx:69

### fixedCell

fixedCell: object

- Defined in packages/material/src/complex/MaterialTableControl.tsx:70

### height

height: string = "50px"

- Defined in packages/material/src/complex/MaterialTableControl.tsx:72

### paddingLeft

paddingLeft: number = 0

- Defined in packages/material/src/complex/MaterialTableControl.tsx:73

### paddingRight

paddingRight: number = 0

- Defined in packages/material/src/complex/MaterialTableControl.tsx:74

### textAlign

textAlign: string = "center"

- Defined in packages/material/src/complex/MaterialTableControl.tsx:75

### width

width: string = "150px"

- Defined in packages/material/src/complex/MaterialTableControl.tsx:71

### fixedCellSmall

fixedCellSmall: object

- Defined in packages/material/src/complex/MaterialTableControl.tsx:77

### height

height: string = "50px"

- Defined in packages/material/src/complex/MaterialTableControl.tsx:79

### paddingLeft

paddingLeft: number = 0

- Defined in packages/material/src/complex/MaterialTableControl.tsx:80

### paddingRight

paddingRight: number = 0

- Defined in packages/material/src/complex/MaterialTableControl.tsx:81

### textAlign

textAlign: string = "center"

- Defined in packages/material/src/complex/MaterialTableControl.tsx:82

### width

width: string = "50px"

- Defined in packages/material/src/complex/MaterialTableControl.tsx:78

### noBottomBorder

noBottomBorder: object

- Defined in packages/material/src/complex/NoBorderTableCell.tsx:30

### borderBottom

borderBottom: string = "none"

- Defined in packages/material/src/complex/NoBorderTableCell.tsx:31

Generated using TypeDoc